

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Hourly &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="LiveLog" href="LiveLog.html" />
    <link rel="prev" title="pywws.Logger" href="pywws.Logger.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="LiveLog.html" title="LiveLog"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pywws.Logger.html" title="pywws.Logger"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-Hourly">
<span id="hourly"></span><h1>Hourly<a class="headerlink" href="#module-Hourly" title="Permalink to this headline">¶</a></h1>
<p>Get weather data, process it, prepare graphs &amp; text files and
upload to a web site.</p>
<p>Typically run every hour from cron.</p>
<div class="highlight-python"><pre>usage: python Hourly.py [options] data_dir
options are:
 -h or --help     display this help
 -v or --verbose  increase amount of reassuring messages
data_dir is the root directory of the weather data (e.g. $(HOME)/weather/data)</pre>
</div>
<p>This script does little more than call other modules in sequence to
get data from the weather station, process it, plot some graphs,
generate some text files and upload the results to a web site.</p>
<p>For more information on using <tt class="docutils literal"><span class="pre">Hourly.py</span></tt>, see
<a class="reference internal" href="../guides/hourlylogging.html"><em>How to set up &#8216;hourly&#8217; logging with pywws</em></a>.</p>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#Hourly.Hourly" title="Hourly.Hourly"><tt class="xref py py-obj docutils literal"><span class="pre">Hourly</span></tt></a>(data_dir)</td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="#Hourly.main" title="Hourly.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="Hourly.Hourly">
<tt class="descclassname">Hourly.</tt><tt class="descname">Hourly</tt><big>(</big><em>data_dir</em><big>)</big><a class="reference internal" href="../_modules/Hourly.html#Hourly"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Hourly.Hourly" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="Hourly.main">
<tt class="descclassname">Hourly.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/Hourly.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#Hourly.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="pywws.Logger.html"
                        title="previous chapter">pywws.Logger</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="LiveLog.html"
                        title="next chapter">LiveLog</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="LiveLog.html" title="LiveLog"
             >next</a> |</li>
        <li class="right" >
          <a href="pywws.Logger.html" title="pywws.Logger"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>